0
Welcome Guest! Login
0 items Join Now

Joomla / Gantry install errors on new server php 7+

    • HYTORC's Avatar
    • HYTORC
    • Jr. Rocketeer
    • Posts: 25
    • Thanks: 0

    Joomla / Gantry install errors on new server php 7+

    Posted 1 year 10 months ago
    • Hello, looking for some help here. I am moving a working site from an outdated server to a shiny brand new server with php7+.
      Front end site throws an error. I am able to login to admin /administrator.

      PHP Version 7.2.4
      Joomla version 3.8.10
      Gantry 5.2.13

      All my plugins are updated.

      Open: /var/www/vhosts/hytorc/libraries/gantry5/classes/Gantry/Component/Whoops/Run.php
      Whoops \ Exception \ ErrorException (E_ERROR)
      HELP
      Uncaught TypeError: Argument 1 passed to Gantry\Component\Whoops\Run::handleException() must be an instance of Exception, instance of Error given in /var/www/vhosts/hytorc/libraries/gantry5/classes/Gantry/Component/Whoops/Run.php:75 Stack trace: #0 [internal function]: Gantry\Component\Whoops\Run->handleException(Object(Error)) #1 {main} thrown

      I am thinking I am missing some key php functions? Any help would be appreciated.

      you can also see the errors here
      www.hytorcedge.com/
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 89634
    • Thanks: 11692
    • Web Designer/Developer

    Re: Joomla / Gantry install errors on new server php 7+

    Posted 1 year 10 months ago
    • What template are you using? Make sure it's the latest version that is compatible with PHP7.x

      Please would you post your URL, superuser id and pswd in the secure tab of your post and I'll have a look for you.

      Regards, Mark.
    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
    • HYTORC's Avatar
    • HYTORC
    • Jr. Rocketeer
    • Posts: 25
    • Thanks: 0

    Re: Joomla / Gantry install errors on new server php 7+

    Posted 1 year 10 months ago
    • Rt_antares 1.0.1
    • HYTORC's Avatar
    • HYTORC
    • Jr. Rocketeer
    • Posts: 25
    • Thanks: 0

    Re: Joomla / Gantry install errors on new server php 7+

    Posted 1 year 10 months ago
    • This message contains only secure information that is visible to MrT, moderators and administrators
    • Last Edit: 1 year 10 months ago by HYTORC.
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 89634
    • Thanks: 11692
    • Web Designer/Developer

    Re: Joomla / Gantry install errors on new server php 7+

    Posted 1 year 10 months ago
    • The current version of Antares is v1.2.4 - so you need to download this and update. You will require a current subscription in order to be able to do that.

      Regards, Mark.
    • The following users have thanked you: HYTORC

    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
    • HYTORC's Avatar
    • HYTORC
    • Jr. Rocketeer
    • Posts: 25
    • Thanks: 0

    Re: Joomla / Gantry install errors on new server php 7+

    Posted 1 year 10 months ago
    • Thank you for the advice. I have updated the templates with a new download. I have replaced files in the templates/rt_antares directory.
      Version now shows 1.2.4
      Same error. Anything else I can try?
    • Last Edit: 1 year 10 months ago by HYTORC.
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 89634
    • Thanks: 11692
    • Web Designer/Developer

    Re: Joomla / Gantry install errors on new server php 7+

    Posted 1 year 10 months ago
    • 1. You do not copy files.. You install the "standalone" template in Joomla extensions manager to update it (after taking a backup of course).

      2. The login provided does not work so I can't check anything else - please check.

      Regards, Mark.
    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
    • HYTORC's Avatar
    • HYTORC
    • Jr. Rocketeer
    • Posts: 25
    • Thanks: 0

    Re: Joomla / Gantry install errors on new server php 7+

    Posted 1 year 10 months ago
    • Thank you very much for the support. I was able to update the theme using the correct process. Now we have another new error :)

      Error: [] operator not supported for strings: [] operator not supported for strings

      any help would be appreciated

      I have corrected in the admin area and tested the previous login info.
    • Last Edit: 1 year 10 months ago by HYTORC.
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 89634
    • Thanks: 11692
    • Web Designer/Developer

    Re: Joomla / Gantry install errors on new server php 7+

    Posted 1 year 10 months ago
    • The error is coming from roksprocket. We have not yet issues a versions of roksprocket that is compatible with PHP7.2.x so you will need to use a lower version of PHP... 7.1.x should be ok.

      Regards, Mark.
    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
    • HYTORC's Avatar
    • HYTORC
    • Jr. Rocketeer
    • Posts: 25
    • Thanks: 0

    Re: Joomla / Gantry install errors on new server php 7+

    Posted 1 year 10 months ago
    • Mark, thank you. Now that you have turned on the error reporting I am unable to move past the login screen as headers are being sent prematurely by the error codes. How do I revert to previous state?
    • Last Edit: 1 year 10 months ago by HYTORC.

Time to create page: 0.092 seconds